VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
VSTGUI::UIDescriptionPrivate Namespace Reference

## Classes
class | StringToken

## Typedefs
using | Locale = Detail::Locale
using | StringTokenList = std::list<StringToken>

## Functions
static bool | tokenizeString (std::string &str, StringTokenList &tokens)
static bool | computeTokens (StringTokenList &tokens, double &result)

## Typedef Documentation

## ◆ Locale

using Locale = Detail::Locale

## ◆ StringTokenList

using StringTokenList = std::list<StringToken>

## Function Documentation

## ◆ computeTokens()

static bool computeTokens | ( | StringTokenList & | tokens,
|  | double & | result )
| static

## ◆ tokenizeString()

static bool tokenizeString | ( | std::string & | str,
|  | StringTokenList & | tokens )
| static